<?php

namespace Treewec\DirectoryIterators;

/**
 * Test class for DirectoryIterator.
 * Generated by PHPUnit on 2012-07-03 at 17:00:43.
 * @group directory_iterators
 */
class DirectoryIteratorTest extends \PHPUnit_Framework_TestCase {

    /** @var DirectoryIterator */
    private $iterator;
    private $filenamesFromDir;

    protected function setUp() {
        $this->iterator = new DirectoryIterator(TEMP_FILEDIR);
        $this->filenamesFromDir = array(
            'temp-files',// root is processed too
            'existing', 'existing-žeš', 'test',
            'existing.php', 'existing-žeš.php', 'test.php'
        );
    }

    public function testIterator() {
        $count = 0;
        while($this->iterator->hasNext()) {
            $next = $this->iterator->next();            
            // test filename
            $filename = \Treewec\FileSystem\Path::toScreen($next->splFileInfo->getFilename());            
            if ($filename != 'dir.order') {
                parent::assertTrue(in_array($filename, $this->filenamesFromDir));
                // test depth
                $depth = $count == 0 ? 0 : 1;
                parent::assertEquals($depth, $next->depth);
                $count++;
            }
        }
        parent::assertEquals($count, count($this->filenamesFromDir));
    }

}

?>
